Loading...
Searching...
No Matches
Swagger::ResponsesObject Class Reference

contains the possible responses for an operation More...

Inheritance diagram for Swagger::ResponsesObject:
[legend]

## Public Member Functions

| constructor (string path, string method, hash< auto > oh, SwaggerSchema swagger)
| Constructor.
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes

ResponseObject | defaultResp
hash< string, ResponseObject > | responses
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

contains the possible responses for an operation

## Member Function Documentation

## constructor()

Swagger::ResponsesObject::constructor | ( | string | path,
|  | string | method,
|  | hash< auto > | oh,
|  | SwaggerSchema | swagger )

Constructor.

Parameters

  path | the URI path for the operation
  method | the HTTP method for the operation
  oh | deserialized hash from the source schema description describing the responses for an operation
  swagger | the REST schema for resolving references

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing
  EMPTY-RESPONSES | no responses given

## Member Data Documentation

## defaultResp

ResponseObject Swagger::ResponsesObject::defaultResp

It can be used to cover undeclared responses.

## responses

hash<string, ResponseObject> Swagger::ResponsesObject::responses

Any HTTP status code can be used as the property name (one property per HTTP status code). Describes the expected response for that HTTP status code.